// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_bingearena/bdn_sky
{
	qer_editorimage env/ut4_bingearena/utopiaatoll_bk.tga
	skyparms env/ut4_bingearena/utopiaatoll 1024 -

	q3map_sunEXT 1 .3 1 100 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 100 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
	{
		map textures/ut4_bingearena/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll -0.08 0.025
		rgbGen identityLighting
	}
}

// ---=== Ladderclip ===---

textures/ut4_bingearena/bdn_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== graffiti ===---

textures/ut4_bingearena/bdn_420
{
	qer_editorimage textures/ut4_bingearena/decal_420a
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/decal_420a.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_and1
{
	qer_editorimage textures/ut4_bingearena/and1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/and1.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_binge1
{
	qer_editorimage textures/ut4_bingearena/binge1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/binge1.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_faces
{
	qer_editorimage textures/ut4_bingearena/faces
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/faces.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_grab1
{
	qer_editorimage textures/ut4_bingearena/grab1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/grab1.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_frog1
{
	qer_editorimage textures/ut4_bingearena/dank-frog
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/dank-frog.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_frog2
{
	qer_editorimage textures/ut4_bingearena/decal_frog
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/decal_frog.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_frog3
{
	qer_editorimage textures/ut4_bingearena/decal_kermit
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/decal_kermit.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_frog4
{
	qer_editorimage textures/ut4_bingearena/froglegs
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/froglegs.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_furry1
{
	qer_editorimage textures/ut4_bingearena/furry1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/furry1.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_furry2
{
	qer_editorimage textures/ut4_bingearena/furry2
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/furry2.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_furry3
{
	qer_editorimage textures/ut4_bingearena/furry3
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/furry3.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_furry4
{
	qer_editorimage textures/ut4_bingearena/furry4
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/furry4.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_furry5
{
	qer_editorimage textures/ut4_bingearena/furry5
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/furry5.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_furry6
{
	qer_editorimage textures/ut4_bingearena/furry6
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/furry6.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_grabby
{
	qer_editorimage textures/ut4_bingearena/grabby
	q3map_surfacelight 10
	{
		map textures/ut4_bingearena/grabby.jpg
	}
}

textures/ut4_bingearena/bdn_hank1
{
	qer_editorimage textures/ut4_bingearena/hank1
	surfaceparm nonsolid
	q3map_surfacelight 10
	{
		map textures/ut4_bingearena/hank1.jpg
	}
}

textures/ut4_bingearena/bdn_hank2
{
	qer_editorimage textures/ut4_bingearena/hank2
	surfaceparm nonsolid
	q3map_surfacelight 10
	{
		map textures/ut4_bingearena/hank2.jpg
	}
}

textures/ut4_bingearena/bdn_hank3
{
	qer_editorimage textures/ut4_bingearena/hank3
	surfaceparm nonsolid
	q3map_surfacelight 10
	{
		map textures/ut4_bingearena/hank3.jpg
	}
}

textures/ut4_bingearena/bdn_iluvbinge
{
	qer_editorimage textures/ut4_bingearena/iluvbinge
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/iluvbinge.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_kitty1
{
	qer_editorimage textures/ut4_bingearena/kittywumpus1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/kittywumpus1.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_purrevil
{
	qer_editorimage textures/ut4_bingearena/sl_purrevil
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/sl_purrevil.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_piano
{
	qer_editorimage textures/ut4_bingearena/piano
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/piano.jpg
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_spank
{
	qer_editorimage textures/ut4_bingearena/decal_spankthemonkey
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/decal_spankthemonkey.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_splat
{
	qer_editorimage textures/ut4_bingearena/splatzone
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/splatzone.tga
		blendFunc blend
	}
}

textures/ut4_bingearena/bdn_stew
{
	qer_editorimage textures/ut4_bingearena/stew
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		map textures/ut4_bingearena/stew.jpg
		blendFunc blend
	}
}

// ---=== fog/clouds ===---

// ---=== Glass ===---

textures/ut4_bingearena/bdn_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_bingearena/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_bingearena/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}


textures/ut4_bingearena/bdn_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	cull none

	{
		map textures/ut4_bingearena/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_bingearena/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_bingearena/bdn_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_bingearena/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_bingearena/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== No Damage ===---

textures/ut4_bingearena/pwarn256:q3map
{
	surfaceparm nodamage
}

textures/ut4_bingearena/plight_tile:q3map
{
	surfaceparm nodamage
}

// ---=== non-solids ===---

textures/ut4_bingearena/bingearena1:q3map
{
	surfaceparm nonsolid
}

textures/ut4_bingearena/blackns:q3map
{
	surfaceparm nonsolid
}

// ---=== shiny ===---

// ---=== Light Emitting Textures ===---

textures/ut4_bingearena/e6basicstrip_blue
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_blue.tga
	}
}

textures/ut4_bingearena/e6basicstrip_green
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_green.tga
	}
}

textures/ut4_bingearena/e6basicstrip_orange
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_orange.tga
	q3map_surfacelight 10
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_orange.tga
	}
}

textures/ut4_bingearena/e6basicstrip_purple
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_purple.tga
	}
}

textures/ut4_bingearena/e6basicstrip_red
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_red.tga
	}
}

textures/ut4_bingearena/e6basicstrip_white
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_white.tga
	}
}

textures/ut4_bingearena/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_bingearena/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_bingearena/e6basicstrip_yellow.tga
	}
}

textures/ut4_bingearena/e8warn2steplight
{
	qer_editorimage textures/ut4_bingearena/e8warn2steplight.tga
	q3map_lightimage textures/ut4_bingearena/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_bingearena/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_bingearena/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_bingearena/bdn_pbara
{
	qer_editorimage textures/ut4_bingearena/pbar_amb.jpg
	q3map_lightimage textures/ut4_bingearena/pbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_bingearena/pbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_bingearena/pbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_bingearena/bdn_pbarb
{
	qer_editorimage textures/ut4_bingearena/pbar_blu.jpg
	q3map_lightimage textures/ut4_bingearena/pbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_bingearena/pbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_bingearena/pbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_bingearena/bdn_pbarr
{
	qer_editorimage textures/ut4_bingearena/pbar_red.jpg
	q3map_lightimage textures/ut4_bingearena/pbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_bingearena/pbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_bingearena/pbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/ut4_bingearena/bdn_arrowprp
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bingearena/arrow_grad2.jpg
	{
		animMap 7 textures/ut4_bingearena/arrow_grad1.jpg textures/ut4_bingearena/arrow_grad4.jpg textures/ut4_bingearena/arrow_grad3.jpg textures/ut4_bingearena/arrow_grad2.jpg textures/ut4_bingearena/arrow_grad3.jpg textures/ut4_bingearena/arrow_grad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_bingearena/bdn_arrowgrn
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bingearena/arrow_ggrad2.jpg
	{
		animMap 7 textures/ut4_bingearena/arrow_grad1.jpg textures/ut4_bingearena/arrow_ggrad4.jpg textures/ut4_bingearena/arrow_ggrad3.jpg textures/ut4_bingearena/arrow_ggrad2.jpg textures/ut4_bingearena/arrow_ggrad3.jpg textures/ut4_bingearena/arrow_ggrad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_bingearena/bdn_arroworg
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bingearena/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_bingearena/arrow_grad1.jpg textures/ut4_bingearena/arrow_ograd4.jpg textures/ut4_bingearena/arrow_ograd3.jpg textures/ut4_bingearena/arrow_ograd2.jpg textures/ut4_bingearena/arrow_ograd3.jpg textures/ut4_bingearena/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

// ---=== lava ===---

textures/ut4_bingearena/bdn_lava1k
	{
		qer_editorimage textures/ut4_bingearena/lava1.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		q3map_surfacelight 1000
		cull disable
	
		tesssize 128
		cull disable
		deformVertexes wave 100 sin 3 2 .1 0.7
	
	{
		map textures/ut4_bingearena/lava1.tga
		tcMod turb 0 .2 0 .1
	}
}
